Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util
Class PathHelper

    java.lang.Object
      mro.util.PathHelper

    public class PathHelper

extends java.lang.Object

Converts filenames to a format using the current file separator.

Field Summary
`private static java.lang.String` | `currentSeparator`
`private static java.lang.String` | `separators`

Constructor Summary
`PathHelper()`

Method Summary
`static boolean` | `beginsWithSeparator(java.lang.String fileName)`
`static java.lang.String` | `convertToCurrentFileSeparator(java.lang.String fileName)`
`static boolean` | `endsWithSeparator(java.lang.String fileName)`
`static java.lang.String` | `longestCommonStart(java.lang.String s1, java.lang.String s2)` Used by infomat.algorithms.LocationGrouper
`static java.lang.String` | `overshoootForSecond(java.lang.String s1, java.lang.String s2)` Used by infomat.Experimentator
`static java.lang.String` | `removeLastPart(java.lang.String s)` Used by infomat.algorithms.LocationGrouper
`private static boolean` | `separatorAtPos(java.lang.String fileName, int pos)`
`static java.lang.String[]` | `splitFileNameAtSeparators(java.lang.String fileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentSeparator

    private static java.lang.String currentSeparator

### separators

    private static java.lang.String separators

Constructor Detail

### PathHelper

    public PathHelper()

Method Detail

### convertToCurrentFileSeparator

    public static java.lang.String convertToCurrentFileSeparator(java.lang.String fileName)

### beginsWithSeparator

    public static boolean beginsWithSeparator(java.lang.String fileName)

### endsWithSeparator

    public static boolean endsWithSeparator(java.lang.String fileName)

### separatorAtPos

    private static boolean separatorAtPos(java.lang.String fileName,
                                          int pos)

### splitFileNameAtSeparators

    public static java.lang.String[] splitFileNameAtSeparators(java.lang.String fileName)

### overshoootForSecond

    public static java.lang.String overshoootForSecond(java.lang.String s1,
                                                       java.lang.String s2)

  Used by infomat.Experimentator

### longestCommonStart

    public static java.lang.String longestCommonStart(java.lang.String s1,
                                                      java.lang.String s2)

  Used by infomat.algorithms.LocationGrouper

### removeLastPart

    public static java.lang.String removeLastPart(java.lang.String s)

  Used by infomat.algorithms.LocationGrouper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD